Update wbs

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
PUT /project/{projectId}/wbs/{wbsId}

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • wbsId integer(int32) Required
application/json

Body Required

  • parentWBSId integer(int32)
  • sequenceNumber integer(int32)
  • code string
  • name string
  • startDate string(date)
  • endDate string(date)

Responses

  • 200 */*

    OK

PUT /project/{projectId}/wbs/{wbsId}
curl \
 --request PUT 'https://live.smartpmtech.com/project/{projectId}/wbs/{wbsId}' \
 --header "X-API-KEY: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "X-COMPANY-ID: string" \
 --data '{
  "parentWBSId": 42,
  "sequenceNumber": 42,
  "code": "string",
  "name": "string",
  "startDate": "2026-05-04",
  "endDate": "2026-05-04"
}'
Request examples
# Headers
X-COMPANY-ID: string

# Payload
{
  "parentWBSId": 42,
  "sequenceNumber": 42,
  "code": "string",
  "name": "string",
  "startDate": "2026-05-04",
  "endDate": "2026-05-04"
}
Response examples (200)
42